codeunit 50100 "Show Accounting Document"
{
    procedure ShowItemLedgerEntrieAccDoc(TxtPItemLedgerFilter: Text)
    var
        RecLValueEntry: Record "Value Entry";
        PagLValueEntry: Page "Value Entries";
        BooLShowLinked: Boolean;
        PagLNavigate: Page Navigate;
        RecLDocEntry: Record "Document Entry";
        RecLSalesInv: Record "Sales Invoice Header";
        RecLSalesCrMemo: Record "Sales Cr.Memo Header";
        RecLPurchInv: Record "Purch. Inv. Header";
        RecLPurchCrMemo: Record "Purch. Cr. Memo Hdr.";
        TxtLLastDocNo: Text;
        LblLNotInvoiced: Label 'There is no invoice or credit memo linked to this entry.';
    begin
        BooLShowLinked := TRUE;

        // Find linked value entry
        RecLValueEntry.SETFILTER("Item Ledger Entry No.",TxtPItemLedgerFilter);
        RecLValueEntry.SETFILTER("Document Type", '%1|%2|%3|%4', 
                                RecLValueEntry."Document Type"::"Purchase Invoice", 
                                RecLValueEntry."Document Type"::"Sales Invoice", 
                                RecLValueEntry."Document Type"::"Purchase Credit Memo", 
                                RecLValueEntry."Document Type"::"Sales Credit Memo");
        IF RecLValueEntry.FINDFIRST THEN BEGIN
            IF RecLValueEntry.COUNT <> 1 THEN BEGIN
                // Multiple invoice show list
                // Check for multiple line AND diffrent document No 
                TxtLLastDocNo := RecLValueEntry."Document No.";
                repeat
                    IF RecLValueEntry."Document No." <> TxtLLastDocNo THEN begin
                        BooLShowLinked := FALSE;
                        PagLValueEntry.SETTABLEVIEW(RecLValueEntry);
                        PagLValueEntry.RUN;
                    END;
                UNTIL RecLValueEntry.NEXT = 0
            END;
        END ELSE BEGIN
            MESSAGE(LblLNotInvoiced);
            EXIT;
        END;

        // Open linked document with navigate page
        IF BooLShowLinked THEN BEGIN
            RecLValueEntry.FindFirst;
            IF RecLValueEntry."Document No." <> '' THEN BEGIN
                WITH RecLValueEntry DO begin
                    CASE "Document Type" OF
                        "Document Type"::"Sales Invoice":
                        begin
                            RecLSalesInv.GET("Document No.");
                            PAGE.RUN(PAGE::"Posted Sales Invoice", RecLSalesInv);
                        end;
                        "Document Type"::"Sales Credit Memo":
                        begin
                            RecLSalesCrMemo.GET("Document No.");
                            PAGE.RUN(PAGE::"Posted Sales Credit Memo", RecLSalesCrMemo);
                        end;
                        "Document Type"::"Purchase Invoice":
                        begin
                            RecLPurchInv.GET("Document No.");
                            PAGE.RUN(Page::"Posted Purchase Invoice", RecLPurchInv);
                        end;
                        "Document Type"::"Purchase Credit Memo":
                        begin
                            RecLPurchCrMemo.GET("Document No.");
                            PAGE.RUN(Page::"Posted Purchase Credit Memo", RecLPurchCrMemo);
                        end;
                    END;
                END;
            END;
        END;
    end;
}