pageextension 50102 "Sales Shipment" extends "Posted Sales Shipment"
{
    actions
    {
        addlast(Processing)
        {
            Action("Open Linked Doc")
            {
                ApplicationArea = All;
                Caption = 'Show Accounting Doc.';
                Visible = true;
                Promoted = true;
                PromotedCategory = Process;
                PromotedOnly = true;
                PromotedIsBig = true;
                Image = Navigate;

                trigger OnAction()
                begin
                    OpenLinkedDocument;
                end;
            }
        }
    }

    procedure OpenLinkedDocument()
    var
        RecLItemLedger: Record "Item Ledger Entry";
        TxtLItemLedgerFilter: Text;
        CduLShowAccDoc: Codeunit "Show Accounting Document";
    begin
        RecLItemLedger.SETRANGE("Document No.", "No.");
        RecLItemLedger.SETRANGE("Document Type", RecLItemLedger."Document Type"::"Sales Shipment");
         
        repeat
            IF TxtLItemLedgerFilter <> '' then
                TxtLItemLedgerFilter += '|';
            TxtLItemLedgerFilter += FORMAT(RecLItemLedger."Entry No.");
        until RecLItemLedger.NEXT = 0;
        CduLShowAccDoc.ShowItemLedgerEntrieAccDoc(TxtLItemLedgerFilter);
    end;
}